package com.yihu.hos.tenant.model;

import com.yihu.hos.web.framework.model.IdModel;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 *  租户表
 * @author HZY
 * @vsrsion 1.0
 * Created at 2016/12/2.
 */
@Entity
@Table(name = "tenant")
public class TenantModel extends IdModel {

    private String code;
    private String name;//Tenant名称
    private String loginName;
    private String password;
    private String schema;
    private Date created;
    private Integer createdUnix;
    private Date updated;
    private Integer updatedUnix;
    private Integer valid;

    private Long dataSourceId;
    private String cnName;//中文名称

    @Column(name="datasource_id")
    public Long getDataSourceId() {
        return dataSourceId;
    }

    public void setDataSourceId(Long dataSourceId) {
        this.dataSourceId = dataSourceId;
    }

    @Column(name="code")
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Column(name="cn_name")
    public String getCnName() {
        return cnName;
    }

    public void setCnName(String cnName) {
        this.cnName = cnName;
    }

    @Column(name="name")
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(name="login_name")
    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    @Column(name="password")
    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    @Column(name="schema_name")
    public String getSchema() {
        return schema;
    }

    public void setSchema(String schema) {
        this.schema = schema;
    }

    @Column(name="created")
    public Date getCreated() {
        return created;
    }

    public void setCreated(Date created) {
        this.created = created;
    }

    @Column(name="created_unix")
    public Integer getCreatedUnix() {
        return createdUnix;
    }

    public void setCreatedUnix(Integer createdUnix) {
        this.createdUnix = createdUnix;
    }

    @Column(name="updated")
    public Date getUpdated() {
        return updated;
    }

    public void setUpdated(Date updated) {
        this.updated = updated;
    }

    @Column(name="updated_unix")
    public Integer getUpdatedUnix() {
        return updatedUnix;
    }

    public void setUpdatedUnix(Integer updatedUnix) {
        this.updatedUnix = updatedUnix;
    }

    @Column(name="valid")
    public Integer getValid() {
        return valid;
    }

    public void setValid(Integer valid) {
        this.valid = valid;
    }
}
